<template>
  <div class="">
    <button class="focus:outline-none p-1 bg-blue-300 rounded-xl" @click="mostrar">Sacar Ficha</button>
    <dialog-modal :show="abrirModal2" @close="abrirModal2 = false">
    <template #title>
        Fichas disponibles para {{medico.nombre}} {{medico.apellido}}
    </template>
    <template #content>
        <div>
            <form @submit.prevent="botonFicha">
                <div v-for="fichas in fichasDisponibles" :key="fichas" class="flex justify-between items-center mt-6">
                  <div>
                    <form action=""></form>
                    <p>{{ fichas }}</p>
                  </div>
                  <div>
                    <jet-button class="mr-3 bg-blue-400 hover:bg-blue-300"
                    @click="botonFicha">
                        Sacar ficha
                    </jet-button>

                    <jet-button class="bg-red-400 hover:bg-red-300"
                    @click.native="abrirModal2 = false"
                    type="button">
                        Cancelar
                    </jet-button>
                  </div>
                </div>
            </form>
        </div>
    </template>
    </dialog-modal>
  </div>
</template>

<script>
import DialogModal from '@/Jetstream/DialogModal'
import JetButton from '@/Jetstream/Button'
export default {
    components: {
        DialogModal,
        JetButton,
    },
    data() {
    return {
      abrirModal2: false,
      form: this.$inertia.form({
          horario: '',
      }),
      fichasDisponibles: [
        '8:00',
        '8:30',
        '9:00',
        '9:30',
      ]
    }
    },
    props:{
      medico: Object,
    },
    methods: {
    mostrar(){
      this.abrirModal2 =!this.abrirModal2
    },
    botonFicha(){
        // this.form
        //     .post(this.route('login'),{
        //         onSuccess: () => this.abrirModal = false,
        //         onFinish: () => this.form.reset('password'),
        //     })
    },
    }
}
</script>

<style>

</style>